Bug 443577 - Review Request: monodevelop-java - java plugin for monodevelop
Summary: Review Request: monodevelop-java - java plugin for monodevelop
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-04-22 10:52 UTC by Paul F. Johnson
Modified: 2009-02-28 10:56 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-28 10:56:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
gnomeuser: fedora-review?


Attachments (Terms of Use)

Description Paul F. Johnson 2008-04-22 10:52:26 UTC
Spec URL: http://pfj.fedorapeople.org/monodevelop-java.spec
SRPM URL: http://pfj.fedorapeople.org/monodevelop-java-1.0-1.fc9.src.rpm
Description: monodevelop-java is a java plugin for monodevelop

Comment 1 David Nielsen 2008-05-07 10:31:59 UTC
Fails to build, configuration script specifically checks for monodevelop >= 1.0
which we don't have and the spec check is not versioned. This review must thus
block on monodevelop 1.0 inclusion (I'm hoping that does not cause circular
dependency issues).

You need the standard ExclusiveArch line for Mono apps:
ExclusiveArch: %ix86 x86_64 ia64 armv4l sparc alpha ppc

As the package contains absolutely no .boo files, I wonder why this requires boo
in the first place.

If I ask politely will you name the patch after it's function and add comments
to your sed magic to make it easier to follow for those of us who maintain your
packages lightly while you are away.

Comment 2 Paul F. Johnson 2008-05-07 10:39:01 UTC
Yeah., it'll be down to needing a newer monodevelop than is already there. I'll
fix the other stuff up for you as well.

Thanks for doing this.

Comment 3 David Nielsen 2008-05-11 14:43:58 UTC
as of June 13th F7 will no longer be supported which means you'd only need to
push mono-addins to F8 and then we could lose the test plus many applications
including the one I care about the most, Banshee 1.0 would be able to be pushed
to all our stable platforms.

Any thoughts on how feasible that would be?

Comment 4 Paul F. Johnson 2008-05-12 09:10:39 UTC
Should be okay to do

Comment 5 David Nielsen 2008-05-12 09:18:13 UTC
(and as usual this applies to the other Monodevelop-* packages you have under
review as well).

Paul what is holding this up and is it anything I can help with, I would be very
interested in seeing Mono get better in Fedora.

Comment 6 Paul F. Johnson 2008-05-12 09:31:23 UTC
The only thing really holding anything up is waiting for rawhide to open again
and then all of the mono packages can be brought in. I have a plan to get my
mono packages unified down to F8 for the end of June....

Comment 7 David Nielsen 2008-07-01 00:25:00 UTC
Ping, it has been nearly 2 months now Paul. Again I offer any help you might
need to hammer Mono into shape.

Comment 8 Paul F. Johnson 2008-07-08 09:08:48 UTC
just trying to get MD2 to build and then i'll return to these.

Comment 9 Paul F. Johnson 2008-10-20 11:58:04 UTC
Unable to build due to problems with MD 1.9. This should be resolved in the next couple of weeks with MD 1.9 alpha 2's release.

Comment 10 David Nielsen 2009-02-21 13:34:32 UTC
With MD2 beta 1 out and Fedora now containing a new succesful build of MD are you still interested in this?

Comment 11 David Nielsen 2009-02-28 10:56:13 UTC
Due to inactivity since 2008-10-20 I am closing this


Note You need to log in before you can comment on or make changes to this bug.